- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# FbxDistance Class Reference

This reference page is linked to from the following overview topics: List of Python Fbx classes.

Search for all occurrences

## Detailed Description

FBX SDK distance class.

Examples:

  ImportScene/DisplayLodGroup.cxx.

Definition at line 440 of file fbxpropertytypes.h.

`#include <fbxpropertytypes.h>`

List of all members.

## Public Member Functions
FbxDistance & | operator= (const FbxDistance &pValue)
| Assign operator.
const FbxString | unitName () const
const float | internalValue () const
| Get the value of distance when converting this measurement unit to inch.
const float | valueAs (const FbxSystemUnit &pUnit) const
| Get the value of distance when converting this measurement unit to the specified measurement unit.
## Constructors and Destructor
| FbxDistance ()
| Default constructor.
| FbxDistance (float pValue, FbxSystemUnit pUnit)
| Constructor with default values.
| FbxDistance (float pValue, const char *pUnit)
| Constructor.
| ~FbxDistance ()
| Destructor.
## boolean operation
bool | operator== (const FbxDistance &pRHS) const
| Equivalence operator.
bool | operator!= (const FbxDistance &pRHS) const
| Non-equivalence operator.
## Access
const FbxSystemUnit | unit () const
| Retrieve the measurement unit.
const float | value () const
| Retrieve the value of distance using the measurement unit.

## Constructor & Destructor Documentation

FbxDistance | ( |  | ) |

Default constructor.

FbxDistance | ( | float | pValue,
|  | FbxSystemUnit | pUnit
| ) |  |

Constructor with default values.

Parameters:

  pValue | Value of distance using the measurement unit.
  pUnit | Unit of measurement.

FbxDistance | ( | float | pValue,
|  | const char * | pUnit
| ) |  |

Constructor.

Parameters:

  pValue | Value of distance using the measurement unit.
  pUnit | Unit of measurement.

Remarks:
  This constructor will convert string to FbxSystemUnit.

~FbxDistance | ( |  | ) |

Destructor.

## Member Function Documentation

FbxDistance& operator= | ( | const FbxDistance & | pValue | ) |

Assign operator.

Parameters:

  pValue | The distance to be assigned to this distance.

Returns:
  This distance.

bool operator== | ( | const FbxDistance & | pRHS | ) | const

Equivalence operator.

Parameters:

  pRHS | The distance to be compared with this distance.

Returns:
  `True`, if the two distances are equal, `false` otherwise.

bool operator!= | ( | const FbxDistance & | pRHS | ) | const

Non-equivalence operator.

Parameters:

  pRHS | The distance to be compared with this distance.

Returns:
  `True`, if the two distances are unequal, `false` otherwise.

const FbxString unitName | ( |  | ) | const

Search for all occurrences

const FbxSystemUnit unit | ( |  | ) | const

Search for all occurrences

Retrieve the measurement unit.

Returns:
  The measure unit of the distance.

const float value | ( |  | ) | const

Search for all occurrences

Retrieve the value of distance using the measurement unit.

Returns:
  The value of distance using the measurement unit.

Examples:
  ImportScene/DisplayLodGroup.cxx.

const float internalValue | ( |  | ) | const

Search for all occurrences

Get the value of distance when converting this measurement unit to inch.

Returns:
  The value of distance when converting this measurement unit to inch.

const float valueAs | ( | const FbxSystemUnit & | pUnit | ) | const

Search for all occurrences

Get the value of distance when converting this measurement unit to the specified measurement unit.

Parameters:

  pUnit | The measurement unit to be converted to.

Returns:
  The value of distance when using the specified measurement unit.

The documentation for this class was generated from the following file:

- fbxsdk/core/fbxpropertytypes.h

FbxDistance FbxDistance FbxDistance FbxDistance FbxDistance FbxDistance FbxDistance FbxDistance FbxDistance FbxDistance
FbxDistance FbxDistance FbxDistance FbxDistance FbxDistance FbxDistance FbxDistance FbxDistance FbxDistance FbxDistance